I2C_SLAVE_ADDRESS = 0x70
i2ci 1, 400
setup(1) // システムオシレーターON
setBlink(1, 0)
setBrightness(1)
init()
while 1
	display()
wend
end

def setup(sw) {
	mpoke 0, 0x20 | sw
	i2cw(1, I2C_SLAVE_ADDRESS, 0, 1, 1)
	pause 1000
}

def setBlink(sw, f) {
	mpoke 0, 0x80 | (f << 1) | sw
	i2cw(1, I2C_SLAVE_ADDRESS, 0, 1, 1)
}

def setBrightness(level) {
	mpoke 0, 0xe0 | level
	i2cw(1, I2C_SLAVE_ADDRESS, 0, 1, 1)
}

def init() {
	mptr 0
	mdata 0
	mdata 0, 0, 0, 0, 0, 0, 0, 0
	mdata 0, 0, 0, 0, 0, 0, 0, 0
	i2cw(1, I2C_SLAVE_ADDRESS, 0, 17, 1)
}

def display() {
	mptr 0
	mdata 0
	mdata 0xff, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0xff
	mdata 0xff, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0xff
	i2cw(1, I2C_SLAVE_ADDRESS, 0, 17, 1)
}
